<?php
/**
 * Google Analytics Functions
 *
 * @package WordPress
 * @subpackage candid_theme
 * @author 5 Inline
 */



/**
 * ganalytics_head()
 * 
 * Google Analytics script code for analytics tracking.
 * 
 * @param string property_id
 * @return none
 */
if( !function_exists('ganalytics_head') ) :
function ganalytics_head()
{
	$options = get_option('ganalytics_options');
	if( !$id = $options['ganalytics_id'] )
		return FALSE;

	$string = <<<HTML
<script type="text/javascript">
var _gaq = _gaq || []; _gaq.push(['_setAccount', '{$id}']); _gaq.push(['_trackPageview']);
(function() {
var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
})();
</script>

HTML;
	echo $string;
}
add_action( 'wp_head', 'ganalytics_head', 99 );
endif;


if( !function_exists('ganalytics_admin_options') ) :
function ganalytics_admin_options()
{
	$options = get_option('ganalytics_options');
	?>
	<h3>Google Analytics Options</h3>
	<table class="form-table">
		<tbody>
			<tr valign="top">
				<th scope="row">
					<label for="ganalytics_id"><?= __('Google Analytics ID','candid_theme');?></label>
				</th>
				<td>
					<input type="text" name="ganalytics_options[ganalytics_id]" id="ganalytics_id" value="<?= $options['ganalytics_id'];?>" class="regular-text code" />
					<br />Enter your Google Analytics ID if you want to integrate Google Analytics. Don't combine with other analytics/tracking plugins.
				</td>
			</tr>
		</tbody>
	</table>
	<?php
	
}
add_action( 'candid_theme_option_fields', 'ganalytics_admin_options' );
endif;

if( !function_exists('ganalytics_options') ) :
function ganalytics_options( $options )
{
	array_push($options, 'ganalytics_options' );
	return $options;
}
add_filter( 'candid_theme_options', 'ganalytics_options' );
endif;
?>