<?php
/**
 * Nivo Functions
 *
 * @package WordPress
 * @subpackage candid_theme
 * @author 5 Inline
 */

if( !function_exists('nivo_register_scripts') ) :
function nivo_register_scripts()
{
	wp_register_script( 'nivo', get_bloginfo('template_directory') .'/extras/nivo/jquery.nivo.slider.pack.js', array('jquery'), '2.3', FALSE );
}
add_action( 'template_redirect', 'nivo_register_scripts' );
endif;


if( !function_exists('nivo_enqueue_scripts') ) :
function nivo_enqueue_scripts()
{
	wp_enqueue_script( 'nivo' );
}
add_action( 'template_redirect', 'nivo_enqueue_scripts' );
endif;

if( !function_exists('nivo_footer_scripts') ) :
function nivo_footer_scripts()
{
	$defaults = array
	(
		'element'	=> '.slideshow',
		'effect'	=> 'random',
		'slices'	=> '15',
		'animSpeed'	=> '500',
		'pauseTime'	=> '5000',
		'directionNav'	=> 'true',
		'directionNavHide'	=> 'true',
		'controlNav'		=> 'true',
		'keyboardNav'		=> 'true',
		'captionOpacity'	=> '0',
	);
	$get_options = get_option('nivo_options');
	$args = wp_parse_args( $get_options, $defaults );
	extract($args);

	$r = array_shift($args);
	foreach( $args as $key=>$val ) {
		$arga[] = "$key:'$val'";
	}
	if( !empty($arga) )
		$argstring = implode(",",$arga);
	
	echo '<script type="text/javascript">'. "\n";
	echo 'jQuery(document).ready( function(){ if( jQuery.isFunction( jQuery.fn.nivoSlider) ) { $(\''. $element .'\').nivoSlider({'. $argstring .'}); } });'. "\n";
	echo '</script>'. "\n";
}
add_action( 'wp_footer', 'nivo_footer_scripts' );
endif;

if( !function_exists('nivo_register_styles') ) :
function nivo_register_styles()
{
	wp_register_style( 'nivo', get_bloginfo('template_directory') .'/extras/nivo/nivo-slider.css', array(), '2.3', 'screen' );
}
add_action( 'template_redirect', 'nivo_register_styles' );
endif;

if( !function_exists('nivo_enqueue_styles') ) :
function nivo_enqueue_styles()
{
	wp_enqueue_style( 'nivo' );
}
add_action( 'template_redirect', 'nivo_enqueue_styles' );
endif;

if( !function_exists('nivo_admin_options') ) :
function nivo_admin_options()
{
	$options = get_option('nivo_options');
	?>
	<h3>Nivo Slider Options</h3>
	<table class="form-table">
		<tbody>
			<tr valign="top">
				<th scope="row">
					<label for="slideshow_category"><?= __('Slideshow Category','candid_theme');?></label>
				</th>
				<td>
					<?php
					$args = array
					(
						'hide_empty'	=> 0,
						'show_option_none'	=> '- None -', 
						'name'			=> 'nivo_options[slideshow_category]',
						'id'			=> 'slideshow_category',
						'selected'		=> $options['slideshow_category'],
					);
					wp_dropdown_categories( $args );
					?><br /?> Choose a category to display in your slideshow. You must have at least 1 post in this category in order for the slideshow to display.
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="nivo_options_on_blog"><?php _e('Show in Blog','candid_theme');?></label></th>
				<td>
					<input type="checkbox" name="nivo_options[on_blog]" id="nivo_options_on_blog" value="1"<?= $options['on_blog'] == 1 ? ' checked="checked"' : NULL;?> />  <?php _e('Show featured posts in your blog stream.','candid_theme');?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="nivo_options_effects"><?php _e('Transition Effects','candid_theme');?></label></th>
				<td>
					<input type="text" name="nivo_options[effects]" id="nivo_options_effects" value="<?= $options['effects'];?>" /> (Options are: random, fold, fade, sliceDown, or any combination <em>comma separated</em>)
				</td>
			</tr>
		</tbody>
	</table>
	<?php
	
}
add_action( 'candid_theme_option_fields', 'nivo_admin_options' );
endif;

if( !function_exists('nivo_options') ) :
function nivo_options( $options )
{
	array_push($options, 'nivo_options' );
	return $options;
}
add_filter( 'candid_theme_options', 'nivo_options' );
endif;

?>