/**
 * Quick Contact Javascript Functions
 */

(function($){
var quickcontact = {
	init : function()
	{
		this.button = $('a[href=#contact]');
		this.slider = $('.contact-slider');
		this.wrapper = $('.wrapper');
		this.form = $('#quick_contact_form');
		this.button.bind( 'click', function(){
			if( $(quickcontact.slider).is(':hidden') )
				quickcontact.show_form(); 
			else
				quickcontact.hide_form();
			return false; 
		});
		this.form.bind( 'submit', function(){ quickcontact.submit_form(); return false; });
	},

	show_form : function()
	{
		$(quickcontact.wrapper).animate({'margin-top':'180px'}, function() {
			$(quickcontact.slider).fadeIn('fast');
		});
	},

	hide_form : function()
	{
		$(quickcontact.slider).fadeOut('fast', function() {
			$(this).hide();
			$(quickcontact.wrapper).animate({'margin-top':'10px'});
		});
	},
	
	submit_form : function()
	{
		var name	= $('#quick_contact_name',this.form).val(), 
		email 		= $('#quick_contact_email',this.form).val(), 
		message 	= $('#quick_contact_message',this.form).val(), 
		nonce 		= $('#quick_contact_nonce',this.form).val(),
		button 		= $('#quick_contact_button',this.form);
		
		$(button).attr('disabled','disabled').text('Sending...');
		$.getJSON( quick_contact_settings.ajaxurl, {'action':'quick-contact-send-form','contact_form_name':name,'contact_form_email':email,'contact_form_message':message,'quick_contact_nonce':nonce}, function(r) {
			$(r.data).appendTo(quickcontact.form);
			$(button).attr('disabled','').text('Send');
			if( r.status == 1 ) {
				$('#quick_contact_name',quickcontact.form).val('');
				$('#quick_contact_email',quickcontact.form).val('');
				$('#quick_contact_message',quickcontact.form).val('');
				$('.msg',quickcontact.form).delay('4500').fadeOut('slow');
			} else {
				$('.msg',quickcontact.form).delay('2500').fadeOut('normal');
			}
		});
	}
}
$(document).ready( function(){ quickcontact.init(); });
})(jQuery);