<?php
/**
 * Color Swatch Functions
 *
 * @package WordPress
 * @subpackage candid_theme
 * @author 5 Inline
 */

global $color_schemes;
$color_schemes['light'] = array
(
	'title'	=> 'Light',
	'path'	=> CANDID_THEME_STYLES .'/light',
	'version' => '1.0',
);


if( !function_exists('swatch_register_styles') ) :
function swatch_register_styles()
{
	global $color_schemes;
	$options = get_option('swatch_options');
	$suffix = (CANDID_THEME_DEV == TRUE) ? '' : '.min';
	if( $key = $options['color_scheme'] )
		if( $scheme = $color_schemes[$key] )
			wp_register_style( $key, $scheme['path'] .$suffix .'.css', array('theme'), $scheme['version'], 'all' );
}
add_action( 'template_redirect', 'swatch_register_styles' );
endif;

if( !function_exists('swatch_enqueue_styles') ) :
function swatch_enqueue_styles()
{
	global $color_schemes;
	$options = get_option('swatch_options');
	if( $key = $options['color_scheme'] )
		if( $scheme = $color_schemes[$key] )
			wp_enqueue_style( $key );
}
add_action( 'template_redirect', 'swatch_enqueue_styles', 11 );
endif;


if( !function_exists('swatch_admin_options') ) :
function swatch_admin_options()
{
	global $color_schemes;
	$options = get_option('swatch_options');
	?>
	<h3>Color Swatch Options</h3>
	<table class="form-table">
		<tbody>
			<tr valign="top">
				<th scope="row">
					<label for="swatch_options_color_scheme"><?= __('Color Scheme','candid_theme');?></label>
				</th>
				<td>
					<select name="swatch_options[color_scheme]" id="swatch_options_color_scheme">
						<option value="">Default</option>
						<?php
						if( $color_schemes ) :
							foreach( $color_schemes as $key=>$scheme ) :
								$sel = ($key == $options['color_scheme']) ? ' selected="selected"' : NULL;
								echo '<option value="'. $key .'"'. $sel .'>'. $scheme['title'] .'</option>'. "\n";
							endforeach;
						endif;
						?>
					</select>
				</td>
			</tr>
		</tbody>
	</table>
	<?php
	
}
add_action( 'candid_theme_option_fields', 'swatch_admin_options' );
endif;

if( !function_exists('swatch_options') ) :
function swatch_options( $options )
{
	array_push($options, 'swatch_options' );
	return $options;
}
add_filter( 'candid_theme_options', 'swatch_options' );
endif;
?>