<?php
/**
 * Loop Template
 * 
 * Template for looping through displaying portfolio items
 *
 * @package WordPress
 * @subpackage Candid
 * @author 5 Inline
 */

global $paged;
$theme_options = get_option('candid_theme_options', TRUE);
$args = array
(
	'posts_per_page'	=> $theme_options['portfolio_count'],
	'cat'				=> $theme_options['portfolio_category'] > 0 ? $theme_options['portfolio_category'] : '',
	'paged'				=> $paged,
	'meta_key'			=> '_thumbnail_id',
);
query_posts( $args );

if( have_posts() ) : while( have_posts() ) : the_post();

	$background_image = '';
	$full_image = '';
	if( has_post_thumbnail( $post->ID ) && ( $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'portfolio-thumb' ) ) && $image[2] >= THUMB_IMAGE_HEIGHT ) :
		$background_image = $image[0];
	endif;
	if( has_post_thumbnail( $post->ID ) && ( $image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'large') ) ) :
		$full_image = $image[0];
	endif;
?>
	<div class="unit grid4 portfolio-item" style="background: url('<?= $background_image;?>') center bottom no-repeat;">
		<div class="portfolio-item-content">
			<h2 class="title"><?php the_title();?></h2>
			<div class="line post-content"><?php the_excerpt( __('Continue Reading &rarr;','my_theme') );?></div>
            <a href="<?php echo $full_image;?>" title="<?php printf( esc_attr__( '%s', 'my_theme' ), the_title_attribute( 'echo=0' ) ); ?>" class="portfolio-image img-btn"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/zoom.png" class="lt" />Zoom</a>
             <a href="<?php the_permalink();?>" title="<?php printf( esc_attr__( '%s', 'my_theme' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark" class="img-btn-more"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/more.png" class="lt" />More</a>
		</div>
	</div>

<?php 
endwhile; endif;
?>
