<?php
/**
 * Candid Loop File
 * 
 * @package WordPress
 * @subpackage Candid
 * @author 5 Inline
 */
?>

<?php if ( ! have_posts() ) : ?>
	<div class="line error404">
		<h1 class="title post-title"><?php _e( 'Not Found', 'candid_theme' ); ?></h1>
		<div class="line post-content">
			<p><?php _e( 'Sorry, no results found. Please try searching below.', 'candid_theme' ); ?></p>
			<?php get_search_form(); ?>
		</div>
	</div>
<?php else: ?>
<?php while ( have_posts() ) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" class="line post page-content">
			<h1 class="title page-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'candid_theme' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>


	<?php if ( is_archive() || is_search() ) : ?>
			<div class="line post-content">
				<?php the_excerpt(); ?>
			</div>
	<?php else : ?>
			<div class="line post-content">
				<?php the_content( __( 'Continue reading &rarr;', 'candid_theme' ) ); ?>
			</div>
	<?php endif; ?>

			<div class="post-meta rt">Posted on <?php the_time('F jS, Y') ?> <!-- by <?php the_author() ?> --> | <?php the_tags('Tags: ', ', ', '<br />'); ?> in <?php the_category(', ') ?></div>
		</div>

		<?php comments_template( '', true ); ?>

<?php endwhile;?>
<?php endif;?>